import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

public class HeapInField {

    static List Heap = new ArrayList();

    static void setHeap() {
    /*
                                                7
                      13                                         14
           21                         26                    28                  35
     39          42              49       52           56       63        65           70
   77    78   84      91   98

    */
        //   Vystup nevypada tak ladne, ale v zasade je to totez. Kazdy predek je mensi nez nasladnik


        for (int i = 0; i < 100; i++) {
            if ((i % 7 == 0) || (i % 13 == 0))
                Heap.add(i);
        }

    }

    public static void PrintHeap() {
        setHeap();
        int height = log2(Heap.size()) + 1;
        int j = 0;
        System.out.print("Hladina " + j + ". -> ");
        for (int i = 1, len = Heap.size(); i < len; i++) {
            int x = (int) Heap.get(i);
            int level = log2(i) + 1;
            int spaces = (height - level + 1) * 2;

            System.out.print(stringOfSize(spaces, ' '));
            System.out.print(x);

            if ((int) Math.pow(2, level) - 1 == i) {
                System.out.println();
                System.out.print("Hladina " + j + ". -> ");
                j++;
            }
        }
    }

    private static String stringOfSize(int size, char ch) {
        char[] a = new char[size];
        Arrays.fill(a, ch);
        return new String(a);
    }

    // log with base 2
    private static int log2(int x) {
        return (int) (Math.log(x) / Math.log(2)); // = log(x) with base 10 / log(2) with base 10
    }
}





/*static void PrintHeapz(){
        setHeap();
        PrintHeap();

        // pouzivam pouze na vypis
        int hladina =5;

        for(int i=0; i<hladina; i++){
            String zacatek = "";
            for(int k = hladina; k >i; k-- ){
                zacatek += " ";
            }
            System.out.print("Hladina " + i + ". -> " +zacatek);

            for (int j=0;j<Math.pow(2,i)&&j+Math.pow(2,i)<Heap.size();j++){
                System.out.print(Heap.toArray()[j+(int)Math.pow(2,i)-1]+" ");

            }
            System.out.println();
        }



*/
